# GimpUi.ProcedureDialog.fill_expander

    @accepts(GimpUi.ProcedureDialog, unicode, unicode, bool, unicode)
    @returns(Gtk.Widget)
    def fill_expander(self, container_id, title_id, invert_title, contents_id):
        # Python wrapper for gimp_procedure_dialog_fill_expander()

Creates a new Gtk.Expander and packs title_id as its title and contents_id as content. If title_id represents a boolean property, its value will be used to expand the Gtk.Expander. If invert_title is TRUE, then expand binding is inverted.

The container_id must be a unique ID which is neither the name of a property of the Gimp.ProcedureConfig associated to self, nor is it the ID of any previously created container. This ID can later be used together with property names to be packed in other containers or inside self itself.

self

  the GimpUi.ProcedureDialog.

container_id

  a container identifier.

title_id

  the identifier for the title widget.

invert_title

  whether to use the opposite value of title_id if it represents a boolean widget.

contents_id

  the identifier for the contents.

Returns